gnutls_x509_crt_check_hostname(3)

NAME
gnutls_x509_crt_check_hostname - API function

SYNOPSIS
#include <gnutls/x509.h>

unsigned gnutls_x509_crt_check_hostname(gnutls_x509_crt_t cert, const char * hostname);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain an gnutls_x509_crt_t type

const char * hostname
    A null terminated string that contains a DNS name

DESCRIPTION
This function will check if the given certificate's subject matches the given hostname. This is a basic implementation of the matching described in RFC6125, and takes into account wildcards, and the DNSName/IPAddress subject alternative name PKIX extension. For details see also gnutls_x509_crt_check_hostname2().

RETURNS
non-zero for a successful match, and zero on failure.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/